update to latest lucene libs?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

update to latest lucene libs?

Yonik Seeley-2-2
Since I imagine Lucene will be releasing 2.9 before Solr releases 1.4,
I think we should sync
to the latest lucene trunk occasionally.

There has been at least one useful bug fix too:
http://issues.apache.org/jira/browse/LUCENE-1509

Any objections to updating?

-Yonik
Reply | Threaded
Open this post in threaded view
|

Re: update to latest lucene libs?

Shalin Shekhar Mangar
On Wed, Jan 28, 2009 at 10:33 PM, Yonik Seeley
<[hidden email]>wrote:

> Since I imagine Lucene will be releasing 2.9 before Solr releases 1.4,


Really? Not if we can help it :)


>
> I think we should sync
> to the latest lucene trunk occasionally.
>
> There has been at least one useful bug fix too:
> http://issues.apache.org/jira/browse/LUCENE-1509
>
> Any objections to updating?
>
> -Yonik
>

There's a workaround to LUCENE-1509 in trunk. But, please go ahead, there
are other goodies like LUCENE-1483.

Also, SOLR-783 is waiting for a lucene upgrade.

--
Regards,
Shalin Shekhar Mangar.